#include<bits/stdc++.h>
using namespace std;
int a[25];
int sd[5][1000];
int sdl[5]={500,500,500,500,500},sdr[5]={500,500,500,500,500};
int op[30];
int opcnt=1;
int opc[30][3];
int flg=0;
int n,m;
/*void dfs(int now){
    if(now>=2*m)return;
    if(now!=1&&sdl[1]==sdl[2]&&sdl[1]==sdl[3]&&sdl[3]==sdl[2]){
        flg=now;
        return;
    }
    if(sd[1][sdr[1]]==a[now]){
        op[opcnt]=1;
        opc[opcnt][0]=1;
        sdr[1]--;
        opcnt++;
        dfs(now+1);
    }else if(sd[2][sdr[2]]==a[now]){
        op[opcnt]=1;
        opc[opcnt][0]=2;
        opcnt++;
        sdr[2]--;
        dfs(now+1);
    }else if(sd[3][sdr[3]]==a[now]&&n==3){
        op[opcnt]=1;
        opc[opcnt][0]=3;
        dfs(now+1);
        opcnt++;
        sdr[3]--;
    }else if(sd[1][sdl[1]]==sd[2][sdl[2]]){
            op[opcnt]=2;
            opc[opcnt][0]=1;
            opc[opcnt][1]=2;
            opcnt++;
            sdl[1]++;
            sdl[2]++;
            dfs(now);
    }else if(sd[2][sdl[2]]==sd[3][sdl[3]]&&n==3){
            op[opcnt]=2;
            opc[opcnt][0]=3;
            opc[opcnt][1]=2;
            opcnt++;
            sdl[2]++;
            sdl[3]++;
            dfs(now);
    }else if(sd[1][sdl[1]]==sd[3][sdl[3]]&&n==3){
            op[opcnt]=2;
            opc[opcnt][0]=1;
            opc[opcnt][1]=3;
            opcnt++;
            sdl[1]++;
            sdl[3]++;
            dfs(now);
    }else{
        sd[1][sdl[1]++]=a[now];
        op[opcnt]=1;
        opc[opcnt][0]=1;
        opcnt++;
        dfs(now+1);
        if(flg==1)return;
        opcnt--;
        sdl[1]--;

        sd[2][sdl[2]++]=a[now];
        op[opcnt]=1;
        opc[opcnt][0]=2;
        opcnt++;
        dfs(now+1);
        if(flg==1)return;
        opcnt--;
        sdl[2]--;
    if(n==3){
        sd[3][sdl[3]++]=a[now];
            op[opcnt]=1;
            opc[opcnt][0]=3;
            opcnt++;
            dfs(now+1);
            if(flg==1)return;
            opcnt--;
            sdl[3]--;
        }
    }

    return;
}*/
int main(){
    freopen("meow.in","r",stdin);
    freopen("meow.out","w",stdout);

    int t;
    cin>>t;
    while(t--){
        int k;
        cin>>n>>m>>k;
        cout<<m<<endl;
        for(int i=1;i<=m;i++){
            cout<<1<<" "<<1<<endl;
        }
    }
    return 0;
}
